Skip to main content
Weavr Multi Product API
Corporates

Update a corporate

PATCH/corporates

Update the details of the logged-in corporate identity.

The following Corporate details are verified during due diligence (KYB) and cannot be updated via the API once the Corporate has been verified:

  • Root User Name
  • Root User Surname
  • Root User Email
  • Root User Mobile Country Code
  • Root User Mobile Number
  • Business Address
  • Date of birth

If these details need to be changed after due diligence is completed, please contact Customer Support to restart the Due Diligence process.

Request

Header parameters

Request body

*
application/json
{}
objectobject · 16 fields

Responses

200OK

Success

Headers
Body
application/json
{}
CorporateCorporate · object · 14 fields
Response example
{  "id": {    "type": "CONSUMER",    "id": "string"  },  "profileId": "string",  "tag": "string",  "rootUser": {    "id": {      "type": "CONSUMER",      "id": "string"    },    "name": "string",    "surname": "string",    "email": "string",    "mobile": {      "countryCode": "string",      "number": "string"    },    "companyPosition": "DIRECTOR",    "active": true,    "emailVerified": true,    "mobileNumberVerified": true,    "dateOfBirth": {      "year": 0,      "month": 0,      "day": 0    },    "tag": "string",    "locale": "en-GB",    "brand": "string"  },  "company": {    "name": "string",    "type": "SOLE_TRADER",    "registrationNumber": "string",    "registeredAddress": {      "addressLine1": "string",      "addressLine2": "string",      "city": "string",      "postCode": "string",      "state": "string",      "country": "string"    },    "businessAddress": {      "addressLine1": "string",      "addressLine2": "string",      "city": "string",      "postCode": "string",      "state": "string",      "country": "string"    },    "countryOfRegistration": "string",    "incorporatedOn": {      "year": 0,      "month": 0,      "day": 0    }  },  "industry": "ACCOUNTING",  "sourceOfFunds": "LABOUR_CONTRACT",  "sourceOfFundsOther": "string",  "acceptedTerms": true,  "ipAddress": "string",  "baseCurrency": "string",  "feeGroup": "string",  "creationTimestamp": 0,  "retailQualifier": "RETAIL"}